{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Generate a new custom Certificate Signing Request (CSR) for an account. Cloudflare generates and securely stores the private key associated with the CSR.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/tls-certificates-and-hostnames_identifier"}},"required":["account_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/tls-certificates-and-hostnames_custom_csr_create_request-2"}},"required":["path","body"],"additionalProperties":false,"definitions":{"tls-certificates-and-hostnames_identifier":{"description":"Identifier.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"tls-certificates-and-hostnames_custom_csr_create_request-2":{"description":"Request body for creating a custom CSR.","type":"object","properties":{"common_name":{"description":"The common name (domain) for the CSR. Must be at most 64 characters.","type":"string","maxLength":64,"examples":["example.com"]},"country":{"description":"Two-letter ISO 3166-1 alpha-2 country code.","type":"string","examples":["US"]},"description":{"description":"Optional description for the CSR.","type":"string","examples":["CSR for example.com wildcard"]},"key_type":{"description":"Key algorithm to use for the CSR. Defaults to rsa2048 if not specified.","type":"string","default":"rsa2048","enum":["rsa2048","p256v1"],"examples":["rsa2048"]},"locality":{"description":"City or locality name.","type":"string","examples":["San Francisco"]},"name":{"description":"Human-readable name for the CSR.","type":"string","examples":["My Custom CSR"]},"organization":{"description":"Organization name.","type":"string","examples":["Cloudflare, Inc."]},"organizational_unit":{"description":"Organizational unit name.","type":"string","examples":["Engineering"]},"sans":{"description":"Subject Alternative Names for the CSR. At least one SAN is required.","type":"array","items":{"maxLength":256,"type":"string"},"maxItems":150,"minItems":1,"examples":[["example.com","www.example.com"]]},"state":{"description":"State or province name.","type":"string","examples":["California"]}},"required":["country","state","locality","organization","common_name","sans"]}}},"name":"Create Custom CSR","id":"cloudflare.custom-csrs-for-an-account-create-custom-csr","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"},"body":{"country":"US","state":"California","locality":"San Francisco","organization":"Cloudflare, Inc.","common_name":"example.com","sans":["example.com","www.example.com"]}},"maxRequests":1,"summary":false}}